Bug 146144 - FILEOPEN ODT Track changing tooltips for table deleted or inserted rows
Summary: FILEOPEN ODT Track changing tooltips for table deleted or inserted rows
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0 target:7.3.0
Keywords: filter:odt
Depends on:
Blocks: Track-Changes-Table
  Show dependency treegraph
 
Reported: 2021-12-09 11:33 UTC by NISZ LibreOffice Team
Modified: 2022-01-26 16:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot with the suggested tooltip (11.33 KB, image/jpeg)
2021-12-09 11:34 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-12-09 11:33:32 UTC
Description:
In Writer at enabled track changes the tooltip for deleted or inserted table rows is missing.

Steps to Reproduce:
1.Open attached picture


Actual Results:
There is no tooltips for changed rows

Expected Results:
It should be the same like in Word


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 3a61cce54277fd12570103a191c50d9b37ef3dd3
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-12-09 11:34:21 UTC
Created attachment 176834 [details]
Screenshot with the suggested tooltip
Comment 2 Commit Notification 2021-12-09 13:07:20 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/84fbb3398f7486f00e7b7dea415e1ea2510a9535

tdf#146144 sw: add tooltip to table rows with change tracking

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 NISZ LibreOffice Team 2022-01-04 13:03:22 UTC
Verified in:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 8f0ce842dffe229d31bd9841ac6e999da1ae976d
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 4 Stéphane Guillou (stragu) 2022-01-22 09:43:27 UTC
I assume this will not be part of 7.3. OK for me to move the info from the 7.3 release notes to the 7.4 release notes?

https://wiki.documentfoundation.org/ReleaseNotes/7.3#Tracked_table_row_deletion.2Finsertion
Comment 5 László Németh 2022-01-22 10:17:43 UTC
(In reply to stragu from comment #4)
> I assume this will not be part of 7.3. OK for me to move the info from the
> 7.3 release notes to the 7.4 release notes?
> 
> https://wiki.documentfoundation.org/ReleaseNotes/7.
> 3#Tracked_table_row_deletion.2Finsertion

Oh, I missed its back-port, many thanks for your great feedback!

I started the missing back-port now:

https://gerrit.libreoffice.org/c/core/+/128683
https://gerrit.libreoffice.org/c/core/+/128684
Comment 6 Stéphane Guillou (stragu) 2022-01-23 08:44:33 UTC
My pleasure, László! :)
Thanks for starting the backports. I'll keep an eye on it to see if anything needs to be done with the release notes.
Comment 7 Commit Notification 2022-01-23 12:25:30 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/92fb148a956087483ac837dd540e555e777f1e53

tdf#146144 sw: add tooltip to table rows with change tracking

It will be available in 7.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2022-01-26 14:13:38 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-3-0":

https://git.libreoffice.org/core/commit/a8b4f6629d4f22d702b8f3b0e8f08d467d9bf7ca

tdf#146144 sw: add tooltip to table rows with change tracking

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.